export function choose<T>(array: Array<T>): T {
  if (array.length == 0) {
    throw new Error(`array cannot have length 0 for choose`);
  }
  return array[Math.floor(Math.random() * array.length)];
}

export function shuffle<T>(array: Array<T>) {
  // source: https://stackoverflow.com/posts/2450976/revisions
  let currentIndex = array.length;
  while (currentIndex != 0) {
    let randomIndex = Math.floor(Math.random() * currentIndex);
    currentIndex--;

    [array[currentIndex], array[randomIndex]] = [
      array[randomIndex],
      array[currentIndex],
    ];
  }
}
